import { useAppSelector } from '@/redux/hooks/useAppSelector';
import { bioEnititiesResultListSelector } from '@/redux/drawer/drawer.selectors';
import { DrawerHeadingBackwardButton } from '@/shared/DrawerHeadingBackwardButton';
import { useAppDispatch } from '@/redux/hooks/useAppDispatch';
import { displayGroupedSearchResults } from '@/redux/drawer/drawer.slice';
import { searchValueSelector } from '@/redux/search/search.selectors';
import { BioEntitiesPinsList } from './BioEntitiesPinsList';

export const BioEntitiesResultsList = (): JSX.Element => {
  const dispatch = useAppDispatch();
  const bioEntityData = useAppSelector(bioEnititiesResultListSelector);
  const searchValue = useAppSelector(searchValueSelector);

  const navigateToGroupedSearchResults = (): void => {
    dispatch(displayGroupedSearchResults());
  };

  return (
    <div>
      <DrawerHeadingBackwardButton
        title="BioEntity"
        value={searchValue}
        backwardFunction={navigateToGroupedSearchResults}
      />
      <BioEntitiesPinsList bioEnititesPins={bioEntityData} />
    </div>
  );
};
