import { render, screen } from '@testing-library/react';
import { StoreType } from '@/redux/store';
import { bioEntitiesContentFixture } from '@/models/fixtures/bioEntityContentsFixture';
import {
  InitialStoreState,
  getReduxWrapperWithStore,
} from '@/utils/testing/getReduxWrapperWithStore';
import { BioEntitiesSubmapItem } from './BioEntitiesSubmapItem.component';

const renderComponent = (initialStoreState: InitialStoreState = {}): { store: StoreType } => {
  const { Wrapper, store } = getReduxWrapperWithStore(initialStoreState);

  return (
    render(
      <Wrapper>
        <BioEntitiesSubmapItem
          mapName="main map"
          numberOfEntities={21}
          bioEntities={bioEntitiesContentFixture}
        />
      </Wrapper>,
    ),
    {
      store,
    }
  );
};

describe('BioEntitiesSubmapItem - component', () => {
  it('should display map name,number of elements, icon', () => {
    renderComponent();

    expect(screen.getByText('main map (21)')).toBeInTheDocument();
  });
});
