import { Icon } from '@/shared/Icon';
import { displayBioEntitiesList } from '@/redux/drawer/drawer.slice';
import { useAppDispatch } from '@/redux/hooks/useAppDispatch';
import { BioEntityContent } from '@/types/models';

export interface BioEntitiesSubmapItemProps {
  mapName: string;
  numberOfEntities: string | number;
  bioEntities: BioEntityContent[];
}

export const BioEntitiesSubmapItem = ({
  mapName,
  numberOfEntities,
  bioEntities,
}: BioEntitiesSubmapItemProps): JSX.Element => {
  const dispatch = useAppDispatch();

  const onSubmapClick = (): void => {
    dispatch(displayBioEntitiesList(bioEntities));
  };

  return (
    <button
      onClick={onSubmapClick}
      type="button"
      className="flex flex-row flex-nowrap items-center justify-between pl-6 [&:not(:last-of-type)]:pb-4"
    >
      <p className="text-sm font-normal">
        {mapName} ({numberOfEntities})
      </p>
      <Icon name="arrow" className="h-6 w-6 fill-font-500" />
    </button>
  );
};
