import { SIZE_OF_EMPTY_ARRAY } from '@/constants/common';
import { displayMirnaList } from '@/redux/drawer/drawer.slice';
import { useAppDispatch } from '@/redux/hooks/useAppDispatch';
import { useAppSelector } from '@/redux/hooks/useAppSelector';
import {
  numberOfMirnasSelector,
  loadingMirnasStatusSelector,
} from '@/redux/mirnas/mirnas.selectors';
import { AccordionItem, AccordionItemHeading, AccordionItemButton } from '@/shared/Accordion';

export const MirnaAccordion = (): JSX.Element => {
  const dispatch = useAppDispatch();
  const mirnaNumber = useAppSelector(numberOfMirnasSelector);
  const mirnaState = useAppSelector(loadingMirnasStatusSelector);

  const isPending = mirnaState === 'pending';
  const isSucceeded = mirnaState === 'succeeded';
  const isDrugsEmpty = mirnaNumber === SIZE_OF_EMPTY_ARRAY;

  const onAccordionClick = (): void => {
    dispatch(displayMirnaList());
  };
  return (
    <AccordionItem>
      <AccordionItemHeading>
        <AccordionItemButton
          variant="non-expandable"
          onClick={onAccordionClick}
          disabled={isPending || isDrugsEmpty}
        >
          MiRNA
          {isPending && ' (Loading...)'}
          {isSucceeded && ` (${mirnaNumber})`}
        </AccordionItemButton>
      </AccordionItemHeading>
    </AccordionItem>
  );
};
