import { SIZE_OF_EMPTY_ARRAY } from '@/constants/common';
import { MapSize } from '@/redux/map/map.types';
import { AppDispatch } from '@/redux/store';
import { MapBrowserEvent } from 'ol';
import { getSearchResults } from './getSearchResults';
import { handleDataReset } from './handleDataReset';
import { handleSearchResultAction } from './handleSearchResultAction';

/* prettier-ignore */
export const onMapSingleClick =
  (mapSize: MapSize, modelId: number, dispatch: AppDispatch) =>
    async ({ coordinate }: MapBrowserEvent<UIEvent>): Promise<void> => {
      dispatch(handleDataReset);

      const searchResults = await getSearchResults({ coordinate, mapSize, modelId });
      if (!searchResults || searchResults.length === SIZE_OF_EMPTY_ARRAY) {
        return;
      }

      handleSearchResultAction({ searchResults, dispatch });
    };
