import { createSlice } from '@reduxjs/toolkit';
import { getAllPublicOverlaysByProjectIdReducer } from './overlays.reducers';
import { OverlaysState } from './overlays.types';

const initialState: OverlaysState = {
  data: [],
  loading: 'idle',
  error: { name: '', message: '' },
};

const overlaysState = createSlice({
  name: 'overlays',
  initialState,
  reducers: {},
  extraReducers: builder => {
    getAllPublicOverlaysByProjectIdReducer(builder);
  },
});

export default overlaysState.reducer;
